{%- from 'components/process_header.html.jinja' import process_header -%}
{%- from 'components/metadata.html.jinja' import metadata_card -%}
{%- from 'components/help.html.jinja' import empty_entry -%}
{% extends "root.html.jinja" %}

{% block page %}
  {{ process_header(prozess.header, baseurl) }}

  {# content section #}
  <div class="container py-3 mb-5">
    <div class="row">
      <aside class="col-lg-4 order-lg-last mb-5">
        {% call metadata_card("Zugehörige Dokumentsteckbriefe", none) %}
          <div class="list-group list-group-flush">
            {% for item in prozess.baustein_datenfelder_referenzen %}
              {% if item is string() %}
                <div
                  class="list-group-item d-flex flex-row gap-2 align-items-center justify-content-between"
                >
                  {{ item }}
                </div>
              {% else %}
                <a
                  href="{{ item.href }}"
                  class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center justify-content-between"
                >
                  <div class="d-flex flex-column">
                    <div>{{ item.label }}</div>
                    <div class="text-secondary">{{ item.id }}</div>
                  </div>
                  <i class="text-muted bi bi-chevron-right"></i>
                </a>
              {% endif %}
            {% else %}
              <div class="list-group-item">{{ empty_entry() }}</div>
            {% endfor %}
          </div>
        {% endcall %}
      </aside>

      <section class="col-lg-8" aria-label="Visualisierung">
        {% if prozess.visualisation_file_href %}
          <embed src="{{ prozess.visualisation_file_href }}" width="100%" height="1200px"></embed>
        {% else %}
          <p class="text-center m-5 p-5">Keine Visualisierungsdatei vorhanden.</p>
        {% endif %}
      </section>
    </div>
  </div>
{% endblock %}
